%array
%start debug voll kurz

%{

#define P(c) putchar(c)
#define U(s) unputs(s)

#include "br2bp.h"

%}

%%

	int look = 0, line_flag = 0, start;
	#define CAPITAL 1
	#define NUMBER 2

<debug>\x0	P(P5); U("nul");

<debug>\x1	P(P5); U("soh");

<debug>\x2	P(P5); U("stx");

<debug>\x3	P(P5); U("etx");

<debug>\x4	P(P5); U("eot");

<debug>\x5	P(P5); U("enq");

<debug>\x6	P(P5); U("ack");

<debug>\x7	P(P5); U("bel");

<debug>x8	P(P5); U("bs");

<debug>\x9	P(P5); U("ht");

<debug>\xa	P(P5); U("lf");

<debug>\xb	P(P5); U("vt");

<debug>\xc	P(P5); U("ff");

<debug>\xd	P(P5); U("cr");

<debug>\xe	P(P5); U("so");

<debug>\xf	P(P5); U("si");

<debug>\x10	P(P5); U("dle");

<debug>\x11	P(P5); U("dc1");

<debug>\x12	P(P5); U("dc2");

<debug>\x13	P(P5); U("dc3");

<debug>\x14	P(P5); U("dc4");

<debug>\x15	P(P5); U("nak");

<debug>\x16	P(P5); U("syn");

<debug>\x17	P(P5); U("etb");

<debug>\x18	P(P5); U("can");

<debug>\x19	P(P5); U("em");

<debug>\x1a	P(P5); U("sub");

<debug>\x1b	P(P5); U("esc");

<debug>\x1c	P(P5); U("fs");

<debug>\x1d	P(P5); U("gs");

<debug>\x1e	P(P5); U("rs");

<debug>\x1f	P(P5); U("us");

<debug>\x20	P(Psp);

<debug>[\x7f-\xff]	printf("x%x ", (unsigned char)yytext[0]);

[\x0-\x8\xb\xd-\x1f\x7f]	;

\x9	U("\x20");

\xa	{if(line_flag) {
	P(Plf); P(Psp);
	}
	else U("\x20");
	}

\xa{2,}	P(Plf); P(Psp); P(Psp); P(Psp);

\xc	P(Pff);

\x20+	P(Psp);

\!	P(P5); P(P235);

\"	P(P45);

\#	P(P146);

\$	{
	char c;
	if(look)
	{
	c = input(); unput(c);
	if(
	('a' <= c) && 
	(
	((look == CAPITAL) && (c <= 'z')) ||
	((look == NUMBER) && (c <= 'j'))
	)
	)
	P(P6);
	if(look == NUMBER) BEGIN start;
	look = 0;
	}
	else P(P256);
	}

\%	P(P123456);

\&	P(P12346);

\'	P(P4);

\(	P(P236);

\)	P(P356);

\*	P(P35);

\+	P(P235);

\,	P(P2);

\-	P(P36);

\.	P(P3);

\x0a\.br\x0a	line_flag = 0; BEGIN 0;

\x0a\.brd\x0a	line_flag = 0; BEGIN debug;

\x0a\.brv\x0a	BEGIN voll;

\x0a\.brk\x0a	BEGIN kurz;

\x0a\.brl\x0a	line_flag = 1;

\/	P(P34);

[0-9][\.0-9]*	{
	char c;
	int i;
	P(P3456);
	unput('$');
	for(i = yyleng - 1; i >= 0; i--)
	{
	c = yytext[i];
	if(c == '0') unput('j');
	else if(c == '.') unput('.');
	else unput(c + 0x30);
	}
	look = NUMBER;
	start = YY_START;
	BEGIN 0;
	}

\:	P(P25);

\;	P(P23);

\<	P(P5); P(P12356);

\=	P(P2356);

\>	P(P5); P(P23456);

\?	P(P26);

\@	P(P345);

[A-Z\xc4\xd6\xdc]+	{
	int i;
	P(P46);
	if(yyleng == 1) unput(yytext[0] | 0x20);
	else {
	P(P46);
	unput('$');
	for(i = yyleng - 1; i >= 0; i--) unput(yytext[i] | 0x20);
	look = CAPITAL;
	}
	}

\[	P(P12356);

\\	P(P16);

\]	P(P23456);

\^	P(P346);

\_	P(P56);

\_\x8.	unput(yytext[2]);

\`	P(P12456);

a	P(P1);

b	P(P12);

c	P(P14);

d	P(P145);

e	P(P15);

f	P(P124);

g	P(P1245);

h	P(P125);

i	P(P24);

j	P(P245);

k	P(P13);

l	P(P123);

m	P(P134);

n	P(P1345);

o	P(P135);

p	P(P1234);

<kurz>q	P(P6); P(P12345);

q	P(P12345);

r	P(P1235);

s	P(P234);

t	P(P2345);

u	P(P136);

v	P(P1236);

w	P(P2456);

<kurz>x	P(P6); P(P1346);

x	P(P1346);

<kurz>y	P(P6); P(P13456);

y	P(P13456);

z	P(P1356);

\{	P(P5); P(P236);

\|	P(P456);

\}	P(P5); P(P356);

\~	P(P2346);

\xdf	P(P6); P(P2346);

\xe4	P(P345);

\xf6	P(P246);

\xfc	P(P1256);

<kurz>ach	P(P56);

<kurz>al	P(P25);

<kurz>an	P(P235);

<kurz>ar	P(P356);

<voll,kurz>au	P(P16);

<kurz>be	P(P23);

<kurz>brauch	P(P2); P(P16);

<kurz>br\xe4uch	P(P5); P(P16);

<voll,kurz>ch	P(P1456);

<voll,kurz>ck	P(P46);

<kurz>eh	P(P2356);

<voll,kurz>ei	P(P146);

<kurz>ein	P(P1246);

<kurz>el	P(P13456);

<kurz>em	P(P12356);

<kurz>en	P(P14);

<kurz>er	P(P12456);

<kurz>es	P(P123456);

<voll,kurz>eu	P(P126);

<kurz>fahr	P(P2); P(P1235);

<kurz>f\xe4hr	P(P5); P(P1235);

<kurz>ge	P(P12346);

<kurz>gl\xfc\ck	P(P1245); P(P46);

<kurz>grund	P(P1245); P(P145);

<kurz>gr\xfcnd	P(P5); P(P1245); P(P145);

<kurz>ich	P(P3456);

<voll,kurz>ie	P(P346);

<kurz>ig	P(P45);

<kurz>in	P(P35);

<kurz>konnt	P(P13); P(P2345);

<kurz>k\xf6nn	P(P2); P(P13);

<kurz>lich	P(P456);

<kurz>ll	P(P12345);

<kurz>maschin	P(P134); P(P156);

<kurz>mm	P(P1346);

<kurz>natur	P(P1345); P(P2345);

<kurz>nat\xfcrlich	P(P1345); P(P456);

<kurz>or	P(P26);

<kurz>platz	P(P1234); P(P1356);

<kurz>pl\xe4tz	P(P5); P(P1234); P(P1356);

<kurz>punkt	P(P1234); P(P2345);

<kurz>satz	P(P234); P(P1356);

<kurz>s\xe4tz	P(P5); P(P234); P(P1356);

<voll,kurz>sch	P(P156);

<kurz>schreib	P(P156); P(P12);

<kurz>schrift	P(P156); P(P2345);

<kurz>sitz	P(P2); P(P24);

<kurz>spiel	P(P2); P(P346);

<voll,kurz>ss	P(P2346);

<voll,kurz>st	P(P23456);

<kurz>te	P(P236);

<kurz>tem	P(P2345); P(P12356);

<kurz>ten	P(P2345); P(P14);

<kurz>ter	P(P2345); P(P12456);

<kurz>un	P(P256);

<kurz>wird	P(P2456); P(P145);

<kurz>wurde	P(P136); P(P15);

<kurz>zeit	P(P1356); P(P2345);

<voll,kurz>\xe4u	P(P34);

%%

unputs(s)
char *s;
{
int i;
for(i = strlen(s) - 1; i >= 0; i--) unput(s[i]);
}

